NCLCONVERTER(1)

NAME
NCLconverter - report of content of NEXUS file

DESCRIPTION
NCLconverter takes reads a file and writes a report of the content to a file prefix (specified with the -o flag) in the chosen output format (specified with the -e flag).

  The most common usage is simply:

    NCLconverter <path to NEXUS file>

OPTIONS

-h on the command line shows this help message

-q suppress NCL status messages while reading files

-l<path> reads a file and treats each line of the file as a path to NEXUS file

-a output AltNexus (no translation table in trees)

-x do NOT validate internal labels in trees as taxa labels

-X do NOT treat numbers in trees as taxon numbers, treat them as arbitrary

    labels (should not be used with NEXUS files).

-s<non-negative integer> controls the NEXUS strictness level.

    the default level is equivalent to -s2 invoking the program with -s3 or a higher number will convert some warnings into fatal errors. Running with -s1 will cause the parser to accept dangerous constructs, and running with -s0 will cause the parser make every attempt to finish parsing the file (warning about very serious errors).

    Note that when -s0 strictness level is used, and the parser fails to finish, it will often be the result of an earlier error than the error that is reported in the last message.

-i<number> specifies the length of the interleaved pages to create

-f<format> specifies the input file format expected:

-fnexus
    NEXUS (this is also the default)

-faafasta
    Amino acid data in fasta

-fdnafasta
    DNA data in fasta

-frnafasta
    RNA data in fasta

    The complete list of format names that can follow the -f flag is:

    nexus dnafasta aafasta rnafasta dnaphylip rnaphylip aaphylip discretephylip dnaphylipinterleaved rnaphylipinterleaved aaphylipinterleaved discretephylipinterleaved dnarelaxedphylip rnarelaxedphylip aarelaxedphylip discreterelaxedphylip dnarelaxedphylipinterleaved rnarelaxedphylipinterleaved aarelaxedphylipinterleaved discreterelaxedphylipinterleaved dnaaln rnaaln aaaln phyliptree relaxedphyliptree nexml dnafin aafin rnafin

-e<format> specifies the output file format expected:

-enexus
    "normalized" NEXUS output

-efasta
    Character data in fasta (could result in multiple output files)

-ephylip
    Trees and character data in phylip (could result in multiple output files)

-erelaxedphylip
    Trees and character data in relaxed phylip (could result in multiple output files)

-enexml
    nexml output (this is also the default)

-o<fn> specifies the output prefix.
    An appropriate suffix and extension are added

-d<fn> specifies the single output destination. Or you can use -d- to indicate that

    output should be directed to standard output.Warning use of this option may result in an invalid output due to concatenation of separate "blocks" of information into a single file!

-u  converts underscores to spaces in formats other than NEXUS.

-y<filename> translate to "safe" taxon names and store the new names as a NEXUS.

    file called <filename> with a TaxaAssociation block. The first taxa block in the association block will hold the original names, and the second will hold the "safe" names

-Y<filename> behaves like -y, except with -Y a translation file will be produced even
    if the original names were already "safe"

-z<filename> use the NEXUS-formatted file called <filename> with a TaxaAssociation block

to restore original names.
    Assumes that the first taxa block in the TaxaAssociation

    block holds the original name and the second is the current name. This function is useful for "undoing" the effects of the -y option.

-j  Suppress the creation of a NameTranslationFile

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.